// PointSprite.vert

#version 120
// neccesary for attribute int
#extension GL_EXT_gpu_shader4 : enable 
#extension GL_ARB_explicit_attrib_location : enable

attribute float pointSize;
attribute int subIndex;

attribute vec3 tangent;
attribute vec3 binormal;

varying vec3 positionIn;
varying float pointSizeIn;
varying int  subIndexIn;

varying vec3 normalIn;
varying vec3 tangentIn;
varying vec3 binormalIn;

void main(void)
{
    gl_Position = /*gl_ModelViewProjectionMatrix *  */ gl_Vertex;
    
    vec3 normal = gl_Normal;
    normalIn = normal;
    tangentIn = tangent;
    binormalIn = cross(normal, tangent);
    
    gl_FrontColor = gl_Color;
    pointSizeIn = pointSize;
    positionIn = vec3(gl_ModelViewMatrix * gl_Vertex);
    subIndexIn = subIndex;
}
